Index: /extensions/piwishack/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/ca_ES/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/ca_ES/plugin.lang.php	(revision 18458)
@@ -31,5 +31,5 @@
 $lang['Post_on_a_forum'] = 'Compartir les miniatures  als fòrums (que es poden clicar).  Etiquetes BBcode.';
 $lang['Post_on_a_website_d'] = 'Compartir les miniatures dels llocs (que es poden clicar). Etiquetes HTML.';
-$lang['Post_on_a_website_dd'] = 'Compartir la vista normal  dels llocs (que es poden clicar). Etiquetes HTML.';
+$lang['dd_Post_on_a_website'] = 'Compartir la vista normal  dels llocs (que es poden clicar). Etiquetes HTML.';
 $lang['close_window_piwishack'] = 'Tancar la finestra de PiwiShack';
 $lang['open_window_piwishack'] = 'Obrir la finestra de PiwiShack';
Index: /extensions/piwishack/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/cs_CZ/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/cs_CZ/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] = 'Sdílet náhled (klikatelný) na fóru. BBcode tagy.';
 $lang['text_intro_normal_view'] 	= 'Zobrazit normálně.';
-$lang['Post_on_a_website_dd'] 		= 'Nasdílet celou fotku (kliknutelná) na stránce. HTML tagy.';
+$lang['dd_Post_on_a_website'] 		= 'Nasdílet celou fotku (kliknutelná) na stránce. HTML tagy.';
 $lang['Post_a_direct_link'] 		= 'Přímý odkaz na soubor.';
-$lang['Post_on_a_forum_dd'] = 'Nasdílet celou fotku (klikatelná) na fóru. BBcode tagy.';
+$lang['dd_Post_on_a_forum'] = 'Nasdílet celou fotku (klikatelná) na fóru. BBcode tagy.';
 $lang['Post_on_a_website'] = 'Sdílet náhled (klikatelný) na stránce. HTML tagy.';
 ?>
Index: /extensions/piwishack/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/da_DK/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/da_DK/plugin.lang.php	(revision 18458)
@@ -24,10 +24,10 @@
 $lang['Post_a_direct_link'] = 'Direkte link til din fil.';
 $lang['Post_on_a_forum'] = 'Del miniaturebilledet (klikbart) på forummer. BBcode-tags.';
-$lang['Post_on_a_website_dd'] = 'Del den almindelige visning (klikbar) på websteder. HTML-tags.';
+$lang['dd_Post_on_a_website'] = 'Del den almindelige visning (klikbar) på websteder. HTML-tags.';
 $lang['close_window_piwishack'] = 'Luk PiwiShack-vinduet';
 $lang['open_window_piwishack'] = 'Åbn PiwiShack-vinduet';
 $lang['text_intro_normal_view'] = 'Viser den almindelige visning.';
 $lang['text_intro_thumbnail'] = 'Vis miniaturebilledet.';
-$lang['Post_on_a_forum_dd'] = 'Del den normale visning (klikbar) på forummer. BBcode-tags.';
+$lang['dd_Post_on_a_forum'] = 'Del den normale visning (klikbar) på forummer. BBcode-tags.';
 $lang['Post_on_a_website'] = 'Del miniaturebilledet (klikbart) på websteder. HTML-tags.';
 ?>
Index: /extensions/piwishack/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/de_DE/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/de_DE/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] 			= 'Geben Sie das Vorschaubild (anklickbar) am Forum. BBcode tags.';
 $lang['text_intro_normal_view'] 	= 'Anzeigen der normalen Ansicht';
-$lang['Post_on_a_website_dd'] 		= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
+$lang['dd_Post_on_a_website'] 		= 'Senden der normalen Ansicht (anklickbar) Seiten. HTML-Tags.';
 $lang['Post_a_direct_link'] 		= 'direkte Links zu Ihrer Datei.';
-$lang['Post_on_a_forum_dd'] = 'Teilen Sie die normale Ansicht (Klickbar) auf Foren. BBCode Tags.';
+$lang['dd_Post_on_a_forum'] = 'Teilen Sie die normale Ansicht (Klickbar) auf Foren. BBCode Tags.';
 $lang['Post_on_a_website'] = 'Teilen Sie die Vorschaubildseiten (Klickbar) HTML Tags';
 ?>
Index: /extensions/piwishack/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/el_GR/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/el_GR/plugin.lang.php	(revision 18458)
@@ -24,10 +24,10 @@
 $lang['Post_a_direct_link'] = 'Άμεσος σύνδεσμος για το αρχείο σας.';
 $lang['Post_on_a_forum'] = 'Μοιραστείτε τη μικρογραφία (κλικ) στο φόρουμ. Ετικέτες BBcode.';
-$lang['Post_on_a_website_dd'] = 'Μοιραστείτε την κανονική προβολή (clickable) σε sites. Ετικέτες HTML';
+$lang['dd_Post_on_a_website'] = 'Μοιραστείτε την κανονική προβολή (clickable) σε sites. Ετικέτες HTML';
 $lang['close_window_piwishack'] = 'Κλείσιμο του PiwiShack παράθυρου';
 $lang['open_window_piwishack'] = 'Ανοίξτε το παράθυρο PiwiShack';
 $lang['text_intro_normal_view'] = 'Βλέποντας την κανονική προβολή.';
 $lang['text_intro_thumbnail'] = 'Εμφάνιση της μικρογραφίας.';
-$lang['Post_on_a_forum_dd'] = 'Μοιραστείτε την κανονική προβολή (μπορείτε να κάνετε κλικ) στο φόρουμ. Ετικέτες BBCode.';
+$lang['dd_Post_on_a_forum'] = 'Μοιραστείτε την κανονική προβολή (μπορείτε να κάνετε κλικ) στο φόρουμ. Ετικέτες BBCode.';
 $lang['Post_on_a_website'] = 'Μοιραστείτε τις μικρογραφίες site (μπορείτε να κάνετε κλικ). Ετικέτες HTML ετικέτες';
 ?>
Index: /extensions/piwishack/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/en_UK/plugin.lang.php	(revision 18458)
@@ -24,7 +24,7 @@
 $lang['text_intro_thumbnail'] 		= 'Display the thumbnail.';
 $lang['Post_on_a_website'] 			= 'Share the thumbnail (clickable) sites. HTML tags.';
-$lang['Post_on_a_website_dd'] 		= 'Share the normal view (clickable) sites. HTML tags.';
+$lang['dd_Post_on_a_website'] 		= 'Share the normal view (clickable) sites. HTML tags.';
 $lang['Post_on_a_forum'] 			= 'Share the thumbnail (clickable) on forums. BBcode tags.';
-$lang['Post_on_a_forum_dd'] 		= 'Share the normal view (clickable) on forums. BBcode tags.';
+$lang['dd_Post_on_a_forum'] 		= 'Share the normal view (clickable) on forums. BBcode tags.';
 $lang['text_intro_normal_view'] 	= 'Viewing the normal view.';
 $lang['Post_a_direct_link'] 		= 'Direct link to your file.';
Index: /extensions/piwishack/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/es_ES/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/es_ES/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] 			= 'Compartir la miniatura (Clicable) sobre foros. Balizas BBcode.';
 $lang['text_intro_normal_view'] 	= 'Visualización de la vista normal';
-$lang['Post_on_a_website_dd'] 		= 'Compartir la vista normal (Clicable) sobre sitios. Balizas.';
+$lang['dd_Post_on_a_website'] 		= 'Compartir la vista normal (Clicable) sobre sitios. Balizas.';
 $lang['Post_a_direct_link'] 		= 'Enlaces directo hacia su fichero.';
-$lang['Post_on_a_forum_dd'] = 'Comparte la visión normal (hacer clic) en los foros. Bbcode etiquetas.';
+$lang['dd_Post_on_a_forum'] = 'Comparte la visión normal (hacer clic) en los foros. Bbcode etiquetas.';
 $lang['Post_on_a_website'] = 'Comparta las miniaturas de los sitios (hacer clic). Tags HTML.';
 ?>
Index: /extensions/piwishack/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/fr_FR/plugin.lang.php	(revision 18458)
@@ -24,9 +24,9 @@
 $lang['text_intro_thumbnail'] 		= 'Affichage de la miniature.';
 $lang['Post_on_a_website'] 			= 'Partager la miniature (cliquable) sur des sites. Balises HTML.';
-$lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
+$lang['dd_Post_on_a_website'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
 $lang['Post_on_a_forum'] 			= 'Partager la miniature (cliquable) sur des forums. Balises BBcode.';
-$lang['Post_on_a_forum_dd'] 		= 'Partager la vue normale (cliquable) sur des forums. Balises BBcode.';
+$lang['dd_Post_on_a_forum'] 		= 'Partager la vue normale (cliquable) sur des forums. Balises BBcode.';
 $lang['text_intro_normal_view'] 	= 'Affichage de la vue normale.';
-$lang['Post_on_a_website_dd'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
+$lang['dd_Post_on_a_website'] 		= 'Partager la vue normale (cliquable) sur des sites. Balises HTML.';
 $lang['Post_a_direct_link'] 		= 'Liens directe vers votre fichier.';
 ?>
Index: /extensions/piwishack/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/hu_HU/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/hu_HU/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] 			= 'Bélyegkép megosztása (kattintható) fórumon. BBcode kód.';
 $lang['text_intro_normal_view'] 	= 'Normál nézet megosztása.';
-$lang['Post_on_a_website_dd'] 		= 'Normál kép megosztása (kattintható) webhelyen. HTML kód.';
+$lang['dd_Post_on_a_website'] 		= 'Normál kép megosztása (kattintható) webhelyen. HTML kód.';
 $lang['Post_a_direct_link'] 		= 'Közvetlen link a fájlhoz.';
-$lang['Post_on_a_forum_dd'] = 'Normál kép megosztása (kattintható) fórumon. BBcode kód.';
+$lang['dd_Post_on_a_forum'] = 'Normál kép megosztása (kattintható) fórumon. BBcode kód.';
 $lang['Post_on_a_website'] = 'Bélyegkép megosztása (kattintható) webhelyen. HTML kód.';
 ?>
Index: /extensions/piwishack/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/it_IT/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/it_IT/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] 			= 'Condividere la miniatura (cliccabile) su dei forums. Tag BBcode.';
 $lang['text_intro_normal_view'] 	= 'Visualizzazione della vista normale';
-$lang['Post_on_a_website_dd'] 		= 'Condividere la vista normale (cliccabile) su dei siti. Tag HTML.';
+$lang['dd_Post_on_a_website'] 		= 'Condividere la vista normale (cliccabile) su dei siti. Tag HTML.';
 $lang['Post_a_direct_link'] 		= 'Link diretto verso il vostro file.';
-$lang['Post_on_a_forum_dd'] = 'Condividi la vista normale (cliccabile) nei forum. Tag BBcode.';
+$lang['dd_Post_on_a_forum'] = 'Condividi la vista normale (cliccabile) nei forum. Tag BBcode.';
 $lang['Post_on_a_website'] = 'Condividi la miniatura (cliccabile) nei siti. Tag HTML.';
 ?>
Index: /extensions/piwishack/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/lv_LV/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/lv_LV/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] = 'Dalīties ar sīkbildēm (klikšķināmas) forumos. BBcode iezīmes.';
 $lang['text_intro_normal_view'] = 'Skatīties normalskatā.';
-$lang['Post_on_a_website_dd'] = 'Dalīties ar normālskata (klikšķināmas)web lapām, HTML iezīmes.';
+$lang['dd_Post_on_a_website'] = 'Dalīties ar normālskata (klikšķināmas)web lapām, HTML iezīmes.';
 $lang['Post_a_direct_link'] = 'Tiešsaite uz jūsu failu.';
 $lang['Post_on_a_website'] = 'Dalīties ar web lapu sīkbildēm (klikšīnāmas). HTNL iezīmes.';
-$lang['Post_on_a_forum_dd'] = 'Dalīties ar nornālskatu (klikšķināms) forumos. BBcode iezīmes.';
+$lang['dd_Post_on_a_forum'] = 'Dalīties ar nornālskatu (klikšķināms) forumos. BBcode iezīmes.';
 ?>
Index: /extensions/piwishack/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/nb_NO/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/nb_NO/plugin.lang.php	(revision 18458)
@@ -26,5 +26,5 @@
 $lang['Post_on_a_forum']             = 'Del miniatyr bilde (klikkbare) på forum. BBkode tagger.';
 $lang['text_intro_normal_view']     = 'Vis normal visning.';
-$lang['Post_on_a_website_dd']         = 'Del normalvisnings (clickable) sider. HTML tagger.';
+$lang['dd_Post_on_a_website']         = 'Del normalvisnings (clickable) sider. HTML tagger.';
 $lang['Post_a_direct_link']         = 'Link direkte til din fil.';
 $lang['Export_Perso_configurated']     = 'Share your photo according to pre-defined conditions.';
Index: /extensions/piwishack/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/nl_NL/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/nl_NL/plugin.lang.php	(revision 18458)
@@ -26,5 +26,5 @@
 $lang['Post_on_a_forum'] 			= 'Deel de miniatuur (klikbaar) op forums. BBcode tags.';
 $lang['text_intro_normal_view'] 	= 'Normale weergave wordt getoond.';
-$lang['Post_on_a_website_dd'] 		= 'Deel de normale weergave pagina\'s (klikbaar). HTML tags.';
+$lang['dd_Post_on_a_website'] 		= 'Deel de normale weergave pagina\'s (klikbaar). HTML tags.';
 $lang['Post_a_direct_link'] 		= 'Directe link naar je bestand.';
 $lang['Export_Perso_configurated'] 	= 'Deel je afbeelding overeenkomstig vooraf gedefinieerde condities.';
Index: /extensions/piwishack/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/pl_PL/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/pl_PL/plugin.lang.php	(revision 18458)
@@ -26,5 +26,5 @@
 $lang['Post_on_a_forum']             = ' Podziel się miniaturką na forum, tagi BBkod.';
 $lang['text_intro_normal_view']     = 'Normalny widok.';
-$lang['Post_on_a_website_dd']         = 'Podziel się stronami z normalnym widokiem, tagi HTML.';
+$lang['dd_Post_on_a_website']         = 'Podziel się stronami z normalnym widokiem, tagi HTML.';
 $lang['Post_a_direct_link']         = 'Bezpośredni link do twojego pliku.';
 $lang['Export_Perso_configurated']     = 'Podziel się fotografią zgodnie z uprzednio zdefiniowanymi warunkami.';
Index: /extensions/piwishack/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/pt_PT/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/pt_PT/plugin.lang.php	(revision 18458)
@@ -30,5 +30,5 @@
 $lang['Post_a_direct_link'] = 'Link directo ao seu arquivo';
 $lang['Post_on_a_forum'] = 'Partilhar a miniatura (clicável) nos forums. Etiquetas código BB';
-$lang['Post_on_a_website_dd'] = 'Partilhar a  normal vista de sites (clicável). Etiquetas HTML';
+$lang['dd_Post_on_a_website'] = 'Partilhar a  normal vista de sites (clicável). Etiquetas HTML';
 $lang['Post_on_a_website_d'] = 'Partilhar esta miniatura (clicável). Etiquetas HTML';
 $lang['close_window_piwishack'] = 'Feche a janela PiwiShack';
Index: /extensions/piwishack/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/ru_RU/plugin.lang.php	(revision 18458)
@@ -26,5 +26,5 @@
 $lang['Post_on_a_forum'] 			= 'Миниатюры (кликабельно) для форумов, тэги BBcode.';
 $lang['text_intro_normal_view'] 	= 'Просмотр в стандартном виде.';
-$lang['Post_on_a_website_dd'] 		= 'Ссылка на стандартный вид (кликабельно) для сайтов, тэги HTML.';
+$lang['dd_Post_on_a_website'] 		= 'Ссылка на стандартный вид (кликабельно) для сайтов, тэги HTML.';
 $lang['Post_a_direct_link'] 		= 'Прямая ссылка на ваш файл.';
 $lang['Export_Perso_configurated']	= 'Создайте ссылку на ваше изображение.';
Index: /extensions/piwishack/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/sk_SK/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/sk_SK/plugin.lang.php	(revision 18458)
@@ -25,7 +25,7 @@
 $lang['Post_on_a_forum'] 			= 'Zdieľať náhľad (klikateľný) pre fórum. BBcode tagy.';
 $lang['text_intro_normal_view'] 	= 'Zobraziť normálne.';
-$lang['Post_on_a_website_dd'] 		= 'Zdieľať celú fotku (klikateľnú) na stránke. HTML tagy.';
+$lang['dd_Post_on_a_website'] 		= 'Zdieľať celú fotku (klikateľnú) na stránke. HTML tagy.';
 $lang['Post_a_direct_link'] 		= 'Priamy odkaz na súbor.';
 $lang['Post_on_a_website'] = 'Zdieľať stránky náhľadov (klikateľné). HTML kľúčové slová.';
-$lang['Post_on_a_forum_dd'] = 'Zdieľať normálne zobrazenie (klikateľné) na fóre. BBcode kľúčové slová.';
+$lang['dd_Post_on_a_forum'] = 'Zdieľať normálne zobrazenie (klikateľné) na fóre. BBcode kľúčové slová.';
 ?>
Index: /extensions/piwishack/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/tr_TR/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/tr_TR/plugin.lang.php	(revision 18458)
@@ -24,10 +24,10 @@
 $lang['Post_a_direct_link'] = 'Dosyanıza direkt bağlantı.';
 $lang['Post_on_a_forum'] = 'Forumlarda küçük resim (tıklanabilir) olarak paylaş. BBCode etiketleri.';
-$lang['Post_on_a_website_dd'] = 'Web sitelerinde normal görünümde tıklanabilir) paylaş. HTML etiketleri.';
+$lang['dd_Post_on_a_website'] = 'Web sitelerinde normal görünümde tıklanabilir) paylaş. HTML etiketleri.';
 $lang['close_window_piwishack'] = 'PiwiShack penceresini kapat';
 $lang['open_window_piwishack'] = 'PiwiShack penceresi aç';
 $lang['text_intro_normal_view'] = 'Normal görünümde görüntüleniyor.';
 $lang['text_intro_thumbnail'] = 'Küçük resmi (thumbnail) görüntüle.';
-$lang['Post_on_a_forum_dd'] = 'Forumlarda gerçek görünümü (tıklanabilir) paylaş. BBcode etiketleri.';
+$lang['dd_Post_on_a_forum'] = 'Forumlarda gerçek görünümü (tıklanabilir) paylaş. BBcode etiketleri.';
 $lang['Post_on_a_website'] = 'Sitelerin küçük resimlerini (tıklanabilir) paylaş. HTML etiketleri.';
 ?>
Index: /extensions/piwishack/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/uk_UA/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/uk_UA/plugin.lang.php	(revision 18458)
@@ -26,8 +26,8 @@
 $lang['Post_a_direct_link'] = 'Пряме посилання на файл.';
 $lang['Post_on_a_forum'] = 'Поділитись мініатюрою на форумах. BBcode теґи.';
-$lang['Post_on_a_website_dd'] = 'Поділиться у звичайному режимі на сайтах. HTML теґи.';
+$lang['dd_Post_on_a_website'] = 'Поділиться у звичайному режимі на сайтах. HTML теґи.';
 $lang['text_intro_normal_view'] = 'Перегляд звичайному режимі.';
 $lang['text_intro_thumbnail'] = 'Відображення мініатюр.';
-$lang['Post_on_a_forum_dd'] = 'Поділиться у звичайному режимі на форумах. BBcode теґи.';
+$lang['dd_Post_on_a_forum'] = 'Поділиться у звичайному режимі на форумах. BBcode теґи.';
 $lang['Post_on_a_website'] = 'Поділитися мініатюрою на сайтах. HTML теґи.';
 ?>
Index: /extensions/piwishack/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/vi_VN/plugin.lang.php	(revision 18457)
+++ /extensions/piwishack/language/vi_VN/plugin.lang.php	(revision 18458)
@@ -26,5 +26,5 @@
 $lang['Post_on_a_forum'] 			= 'Chia sẻ ảnh thu nhỏ trên FORUM bằng thẻ BBcode.';
 $lang['text_intro_normal_view'] 	= 'Xem dạng ảnh bình thường (kích thước thật).';
-$lang['Post_on_a_website_dd'] 		= 'Chia sẻ ảnh bình thường (kích thước thật) trên WEBSITE bằng thẻ HTML.';
+$lang['dd_Post_on_a_website'] 		= 'Chia sẻ ảnh bình thường (kích thước thật) trên WEBSITE bằng thẻ HTML.';
 $lang['Post_a_direct_link'] 		= 'Link gốc của ảnh.';
 $lang['Export_Perso_configurated'] 	= 'Chia sẻ ảnh của bạn theo các điều kiện được xác định trước.';
Index: /extensions/piwishack/template/controller.tpl
===================================================================
--- /extensions/piwishack/template/controller.tpl	(revision 18457)
+++ /extensions/piwishack/template/controller.tpl	(revision 18458)
@@ -48,10 +48,10 @@
 	  </td>
 	  <td>
-      <div class="txt_share">{'Post_on_a_website_dd'|@translate}</div>
+      <div class="txt_share">{'dd_Post_on_a_website'|@translate}</div>
       <form>
         <textarea name="view_Post_on_a_website" cols="140" rows="4" onclick="select()"></textarea>
       </form>
         <br>
-      <div class="txt_share">{'Post_on_a_forum_dd'|@translate}</div>
+      <div class="txt_share">{'dd_Post_on_a_forum'|@translate}</div>
       <form>
         <textarea name="view_Post_on_a_forum" cols="140" rows="3" onclick="select()"></textarea>