Index: /extensions/lightbox/language/th_TH/description.txt
===================================================================
--- /extensions/lightbox/language/th_TH/description.txt	(revision 18472)
+++ /extensions/lightbox/language/th_TH/description.txt	(revision 18472)
@@ -0,0 +1,1 @@
+แสดงรูปภาพในกล่อง lightbox.
Index: /extensions/lightbox/language/th_TH/index.php
===================================================================
--- /extensions/lightbox/language/th_TH/index.php	(revision 18472)
+++ /extensions/lightbox/language/th_TH/index.php	(revision 18472)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lightbox/language/th_TH/plugin.lang.php
===================================================================
--- /extensions/lightbox/language/th_TH/plugin.lang.php	(revision 18472)
+++ /extensions/lightbox/language/th_TH/plugin.lang.php	(revision 18472)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['lb_all_category'] = 'ใช้กับรูปภาพทั้งหมดในหมวดหมู่';
+$lang['lb_default_parameters'] = 'กำหนดค่าเริ่มต้น';
+$lang['lb_default_parameters_saved'] = 'บันทึก กำหนดค่าเริ่มต้น';
+$lang['lb_display_arrows'] = 'แสดงลูกศรนำทาง';
+$lang['lb_display_name'] = 'แสดงชื่อภาพ';
+$lang['lb_fixed_height'] = 'ความสูงคงที่';
+$lang['lb_fixed_width'] = 'ความกว้างคงที่';
+$lang['lb_high'] = 'ความคมชัดสูง HD';
+$lang['lb_initial_height'] = 'ความสูงเริ่มต้น';
+$lang['lb_initial_width'] = 'ความกว้างเริ่มต้น';
+$lang['lb_none'] = 'ไม่มี';
+$lang['lb_theme_transition'] = 'ธีมและการเคลื่อนไหว';
+$lang['lb_transition'] = 'การเคลื่อนไหว';
+$lang['lb_transition_elastic'] = 'ยืดหยุ่น';
+$lang['lb_transition_fade'] = 'ค่อยๆ จางหาย';
+$lang['lb_transition_none'] = 'ไม่มี';
+$lang['lb_transition_speed'] = 'ความเร็วของการเคลื่อนไหว';
+$lang['lb_yes'] = 'ใช่';
+$lang['lb_configuration_saved'] = 'บันทึกการตั้งค่า';
+$lang['lb_dimensions'] = 'ขนาด';
+$lang['lb_display'] = 'แสดงผล';
+$lang['lb_name_link'] = 'หัวข้อลิงค์';
+$lang['lb_no'] = 'ไม่';
+$lang['lb_picture'] = 'หน้ารูปภาพ';
+$lang['lb_theme'] = 'ธีม';
+?>