Index: extensions/Shadogo/trunk/language/da_DK/description.txt
===================================================================
--- extensions/Shadogo/trunk/language/da_DK/description.txt	(revision 18604)
+++ extensions/Shadogo/trunk/language/da_DK/description.txt	(revision 18604)
@@ -0,0 +1,1 @@
+Vis billeder, videoer og Piwigo-sider i et modalt overlay.
Index: extensions/Shadogo/trunk/language/da_DK/index.php
===================================================================
--- extensions/Shadogo/trunk/language/da_DK/index.php	(revision 18604)
+++ extensions/Shadogo/trunk/language/da_DK/index.php	(revision 18604)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Shadogo/trunk/language/da_DK/plugin.lang.php
===================================================================
--- extensions/Shadogo/trunk/language/da_DK/plugin.lang.php	(revision 18604)
+++ extensions/Shadogo/trunk/language/da_DK/plugin.lang.php	(revision 18604)
@@ -0,0 +1,56 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['shadogo_save'] = 'Gem';
+$lang['shadogo_slideshow_config'] = 'Opsætning af slideshow';
+$lang['shadogo_slideshow_inoverlay'] = 'Vis slideshow\'et i et overlayvindue';
+$lang['shadogo_slideshow_pattern'] = 'Slideshowmønster';
+$lang['shadogo_slideshow_replacement'] = 'Erstatning af slideshowkode';
+$lang['shadogo_thumbnail_buttons_search'] = 'Skabelonkode som erstattes med indholdet af filen thumbnail_shadogo_buttons.tpl';
+$lang['shadogo_thumbnail_config'] = 'Opsætning af miniaturebilleder';
+$lang['shadogo_thumbnail_content_icon'] = 'Vis indholdsikonen i ledeteksten';
+$lang['shadogo_thumbnail_content_inoverlay'] = 'Vis miniatureindholdet i overlayvindue';
+$lang['shadogo_thumbnail_contentpage_inoverlay'] = 'Vis indholdssiden i overlayvindue';
+$lang['shadogo_thumbnail_hrefcontent_search'] = 'Skabelonkode som erstattes med indholdet af filen thumbnail_shadogo_content.tpl';
+$lang['shadogo_thumbnail_label'] = 'Vis miniaturebilledets tekst';
+$lang['shadogo_thumbnail_player_icon'] = 'Vis afspilningsikonen i ledeteksten';
+$lang['shadogo_cancel'] = 'Annuller';
+$lang['shadogo_content'] = 'Se indhold';
+$lang['shadogo_display_expert_params'] = 'Vis ekspertindstillinger';
+$lang['shadogo_hdcontent_config'] = 'Opsætning af HD-indhold';
+$lang['shadogo_hdcontent_inoverlay'] = 'Vis HD-indhold i et overlayvindue';
+$lang['shadogo_hdcontent_pattern'] = 'HD-indholdsmønster';
+$lang['shadogo_hdcontent_replacement'] = 'Erstatning af HD-kode';
+$lang['shadogo_mediafile_pattern'] = 'Mediafilmønster';
+$lang['shadogo_mediaplayer_config'] = 'Opsætning af medieafspiller';
+$lang['shadogo_mediaplayer_content'] = 'Vis afspilleren på indholdssiden';
+$lang['shadogo_note_warm_restore'] = 'Glem ikke at gemme den gendannede opsætning.';
+$lang['shadogo_overlay_addtobasket'] = 'Aktiver håndtering af kurven';
+$lang['shadogo_overlay_config'] = 'Opsætning af overlayvindue';
+$lang['shadogo_overlay_download'] = 'Aktiver download af HD-billede';
+$lang['shadogo_overlay_favorites'] = 'Aktiver håndtering af favoritter';
+$lang['shadogo_overlay_hdpicture'] = 'Aktiver visning af HD-billede';
+$lang['shadogo_overlaylibs'] = 'Vælg bibliotek til modalt overlay';
+$lang['shadogo_overlaythemes'] = 'Overlayvinduets tema';
+$lang['shadogo_play'] = 'Afspil';
+$lang['shadogo_restore'] = 'Gendan til standardværdier';
+?>