Index: extensions/charlies_content/language/da_DK/description.txt
===================================================================
--- extensions/charlies_content/language/da_DK/description.txt	(revision 18453)
+++ extensions/charlies_content/language/da_DK/description.txt	(revision 18616)
@@ -1,1 +1,1 @@
-Charlies indhold er en global løsning for ikke billed filer.
+Charlies Content er en global løsning til indhold, som ikke er billedfiler.
Index: extensions/charlies_content/language/da_DK/plugin.lang.php
===================================================================
--- extensions/charlies_content/language/da_DK/plugin.lang.php	(revision 18453)
+++ extensions/charlies_content/language/da_DK/plugin.lang.php	(revision 18616)
@@ -22,22 +22,124 @@
 // +-----------------------------------------------------------------------+
 $lang['(Adobe Systems for streaming audio, video and data)'] = '(Adobe Systems til streaming af lyd, video og data)';
-$lang['(URL of a non progressive jpg)'] = '(URL af en ikke progressiv jpg)';
-$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y: hvor x, y er den udligning der placere billedet)';
-$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '. png uden gennemsigtighed anbefales. Måske kan du ændre en række gardiner ved din.';
-$lang['Active curtains'] = 'aktive gardiner';
+$lang['(URL of a non progressive jpg)'] = '(URL pegende på ikke-progressiv jpg)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y: hvor x,y er de offset, der placere billedet)';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '.png uden gennemsigtighed anbefales. Måske kan du ændre en række gardiner.';
+$lang['Active curtains'] = 'Aktive gardiner';
 $lang['Always'] = 'Altid';
-$lang['Autohide'] = 'Auto skjul';
-$lang['Autohide delay ']['0-9999'] = 'Auto skjul forsinkelse [0-9999]';
-$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Auto skjul forsinkelse er ude af skalaen (korrekt skala: 0-9999)';
-$lang['Autoload'] = 'Auto indlæs';
-$lang['Autoplay'] = 'Auto afspil';
-$lang['Background'] = 'baggrund';
-$lang['Bind your prefered extensions to a template file (player) from:'] = 'Hæft dine foretrukne udvidelser til en skabelon-fil (afspiller) fra:';
-$lang['Bottom border fading'] = 'Nederste kant falmning';
+$lang['Autohide'] = 'Autoskjul';
+$lang['Autohide delay ']['0-9999'] = 'Autoskjul-forsinkelse [0-9999]';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Autoskjul-forsinkelse er uden for intervallet (korrekt interval: 0-9999)';
+$lang['Autoload'] = 'Autoindlæs';
+$lang['Autoplay'] = 'Autoafspil';
+$lang['Background'] = 'Baggrund';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Hæft dine foretrukne udvidelser til en skabelonfil (afspiller) fra:';
+$lang['Bottom border fading'] = 'Falmning ved nederste kant';
 $lang['Buffer'] = 'Buffer';
-$lang['Buffer background'] = 'Buffer baggrund';
+$lang['Buffer background'] = 'Bufferbaggrund';
 $lang['Buffering'] = 'Buffering';
-$lang['Buffering _n_'] = 'Buffering_n_';
-$lang['Charlies player template-mimetype association'] = 'Charlies afspiller skabelon-mimetype associering';
-$lang['Charlies players configuration'] = 'Charlies afspiller konfiguration';
+$lang['Buffering _n_'] = 'Buffering _n_';
+$lang['Charlies player template-mimetype association'] = 'Charlies afspillerskabelon-mimetypetilknytning';
+$lang['Charlies players configuration'] = 'Opsætning af Charlies afspiller';
+$lang['_blank'] = '_blank';
+$lang['_self'] = '_self';
+$lang['or fullscreen or playpause or none'] = 'eller fuldskærm eller afspil-pause eller intet';
+$lang['Top border fading'] = 'Udflydende topkant';
+$lang['URL of .srt'] = 'URL til .srt';
+$lang['Unknown file (Start image)'] = 'Ukendt fil (startbillede)';
+$lang['Unknown file (skin)'] = 'Ukendt fil (skin)';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Ukendt fil eller URL|x|y fejl (x og y skal være numeriske)';
+$lang['Use existing .txt to config'] = 'Benyt eksisterende .txt til opsætning';
+$lang['Use existing .xml to config'] = 'Benyt eksisterende .xml til opsætning';
+$lang['Use subtitles'] = 'Benyt undertekster';
+$lang['Video buffer background'] = 'Videobuffers baggrund';
+$lang['Video buffer percent message'] = 'Videobuffers procentmeddelelse';
+$lang['Video buffer size in seconds'] = 'Videobuffers størrelse i sekunder';
+$lang['Video default height'] = 'Videos standardhøjde';
+$lang['Video default width'] = 'Videos standardbredde';
+$lang['Volume ']['0-200'] = 'Lydstyrke [0-200]';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Lydstyrke er uden for intervallet (korrekt interval: 0-200)';
+$lang['Wrong filename or file not found (Subtitles file)'] = 'Forkert filnavn eller fil ikke fundet (undertekstfil)';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Du er Rådgiver og har ikke lov til at ændre denne opsætning.';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Din opsætning blev IKKE gemt af følgende årsager.';
+$lang['Your configuration is saved.'] = 'Din opsætning er gemt.';
+$lang['Show subtitles switch'] = 'Vis omskifter til undertekster';
+$lang['Show time'] = 'Vis tid';
+$lang['Show volume'] = 'Vis lydstyrke';
+$lang['Skin'] = 'Skin';
+$lang['Skin image'] = 'Skinbillede';
+$lang['Start image'] = 'Startbillede';
+$lang['Stop stops loading'] = 'Stop stopper indlæsning';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'Skrifttypestørrelse på undertekst er uden for intervallet (korrekt interval 8-24)';
+$lang['Subtitleling'] = 'Undertekstning';
+$lang['Subtitles'] = 'Undertekster';
+$lang['Subtitles background'] = 'Underteksters baggrund';
+$lang['Subtitles file URL'] = 'Underteksters fil-URL';
+$lang['Subtitles font size ']['8-24'] = 'Underteksters skrifttypestørrelse [8-24]';
+$lang['Templates configuration'] = 'Skabelonopsætning';
+$lang['Time left'] = 'Tid tilbage';
+$lang['Title'] = 'Titel';
+$lang['Title and start picture'] = 'Titel og stardbillede';
+$lang['Title font size ']['12-72'] = 'Titels skrifttypestørrelse [12-72]';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Titels skrifttypestørrelse er uden for intervallet (korrekt interval: 12-72)';
+$lang['Titleling'] = 'Titler';
+$lang['Reset ALL Charlies\' configuration'] = 'Nulstil HELE Charlies\' opsætning';
+$lang['Rightbar gradient fading'] = 'Udflydende hældning på højre bjælke';
+$lang['Save Charlies\' configuration'] = 'Gem opsætning af Charlies\'';
+$lang['Show loading'] = 'Vis indlæser';
+$lang['Show mouse'] = 'Vis mus';
+$lang['Show player'] = 'Vis afspiller';
+$lang['Show stop button'] = 'Vis stopknap';
+$lang['Play icon in middle'] = 'Afspilningsikon i midten';
+$lang['Play icon transparency ']['0-100'] = 'Afspilningsikons gennemsigtighed [0-100]';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Afspilningsikons gennemsigtighed er uden for intervallet (korrekt interval: 0-100)';
+$lang['Player'] = 'Afspiller';
+$lang['Player and Buttons'] = 'Afspiller og knapper';
+$lang['Player buttons'] = 'Afspillers knapper';
+$lang['Player transparency ']['0-100'] = 'Afspillers gennemsigtighed [0-100]';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'Afspillers gennemsigtighed er uden for intervallet (korrekt interval: 0-100)';
+$lang['Players colors'] = 'Afspillers farver';
+$lang['Players colours selection'] = 'Valg af sfspillers farver';
+$lang['Players options'] = 'Afspillervalgmuligheder';
+$lang['RTMP server URL'] = 'RTMP-servers URL';
+$lang['Reset ALL Confirmation'] = 'Bekræft nulstilling af det HELE';
+$lang['General options'] = 'Generelle valgmuligheder';
+$lang['Hover bar gradient'] = 'Hældning på hoverbjælke';
+$lang['Hover player buttons'] = 'Knapper på hoverbjælke';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Ugyldig farvekode: 3 eller 6 hexadecimale tegn, med foranstillet "#"';
+$lang['Keyboard shortcuts'] = 'Tastaturgenveje';
+$lang['Leftbar gradient fading'] = 'Udflydende hældning på venstre bjælke';
+$lang['Load an image over video'] = 'Indlæs et billede oven video';
+$lang['Loading bar'] = 'Indlæser bjælke';
+$lang['Loop'] = 'Løkke';
+$lang['Margin for skin'] = 'Skin-margen';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Margen er uden for intervallet (korrekt interval: 0-40)';
+$lang['Miscellaneous'] = 'Forskelligt';
+$lang['Never'] = 'Aldrig';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Bemærk: Disse valgmuligheder er tilgængelige med Maxi FLV Player. Flere oplysninger om alle disse valgmuligheder på:';
+$lang['Off'] = 'Fra';
+$lang['On'] = 'Til';
+$lang['Onclick URL'] = 'Onclick-URL';
+$lang['PHP streaming'] = 'PHP-streaming';
+$lang['Play icon'] = 'Afspilningsikon';
+$lang['Play icon background'] = 'Afspilningsikons baggrund';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Farvebrug er måske kun til information (afspillere kan blot ignorere dem eller benytte dem på en anden måde)';
+$lang['Config by element'] = 'Opsætning efter element';
+$lang['Curtain selection'] = 'Gardinvalg';
+$lang['Default 1500 milliseconds.'] = 'Standard 1500 millisekunder.';
+$lang['Default 5 seconds'] = 'Standard 5 sekunder.';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Standardhøjde er uden for intervallet (korrekt interval: 90-1024)';
+$lang['Default size might be 11.'] = 'Standardstørrelse kan være 11.';
+$lang['Default size might be 20.'] = 'Standardstørrelse kan være 20.';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Standardbredde er uden for intervallet (korrekt interval: 90-1024)';
+$lang['Display first picture'] = 'Vis første billede';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Til information: Alle disse valgmuligheder vil måske eller måske ikke blive anvendt af den integrerede afspiller (skabelon).';
+$lang['Filename.srt might be use for captioning'] = 'Filename.srt kan benyttes til undertekster';
+$lang['Filename.txt might be use as config.txt file'] = 'Filename.ext kan benyttes som config.txt-fil';
+$lang['Filename.xml might be use as config.xml file'] = 'Filename.xml kan benyttes som config.xml-fil';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'Flash Player 9.0.16.60 eller nyere er krævet.';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Tvungen højde er uden for intervallet (korrekt interval: 90-1024)';
+$lang['Forced video height'] = 'Tvungen videohøjde';
+$lang['Forced video width'] = 'Tvungen videobredde';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Tvungen bredde er uden for intervallet (korrekt interval: 90-1024)';
+$lang['Fullscreen'] = 'Fuldskærm';
 ?>