Index: extensions/stripped/readme.txt
===================================================================
--- extensions/stripped/readme.txt	(revision 18639)
+++ extensions/stripped/readme.txt	(revision 18640)
@@ -31,4 +31,10 @@
 Changelog
 ---------
+
+*** version 2.3.1
+
+- bug fix (error when editing comments)
+- integration of info_errors.tpl
+- language updates
 
 *** version 2.3.0
Index: extensions/stripped/template/about.tpl
===================================================================
--- extensions/stripped/template/about.tpl	(revision 18639)
+++ extensions/stripped/template/about.tpl	(revision 18640)
@@ -13,4 +13,5 @@
 	{if isset($MENUBAR)}{$MENUBAR}{/if}
 	<div id="content_cell">
+		{include file='infos_errors.tpl'} 
 		<div id="piwigoAbout" class="content_block">
 			{$ABOUT_MESSAGE}
Index: extensions/stripped/template/comment_list.tpl
===================================================================
--- extensions/stripped/template/comment_list.tpl	(revision 18639)
+++ extensions/stripped/template/comment_list.tpl	(revision 18640)
@@ -1,6 +1,16 @@
-{* $Id$ *}
+{if isset($comment_derivative_params)}
+{strip}{html_style}
+.commentElement .illustration{ldelim}
+	width: {$comment_derivative_params->max_width()+5}px
+}
+
+.content .commentElement .description{ldelim}
+	height: {$comment_derivative_params->max_height()+5}px
+}
+{/html_style}{/strip}
+{/if}
 <ul class="commentList">
 	{foreach from=$comments item=comment name=comment_loop}
-		<li class="comment">
+		<li class="commentElement {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
 			{if isset($comment.src_image)}
 				<div class="illustration">
@@ -38,4 +48,5 @@
 							<label><textarea name="content" id="contenteditid" rows="4" cols="80">{$comment.CONTENT|@escape}</textarea></label>
 							<input type="hidden" name="key" value="{$comment.KEY}">
+							<input type="hidden" name="pwg_token" value="{$comment.PWG_TOKEN}">
 							<input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
 							<input class="submit" type="submit" value="{'Submit'|@translate}">
Index: extensions/stripped/template/comments.tpl
===================================================================
--- extensions/stripped/template/comments.tpl	(revision 18639)
+++ extensions/stripped/template/comments.tpl	(revision 18640)
@@ -14,4 +14,5 @@
 	<div id="content_cell">
 		<div class="content_block">
+			{include file='infos_errors.tpl'} 
 			<form class="filter" action="{$F_ACTION}" method="get">
 				<fieldset>
Index: extensions/stripped/template/identification.tpl
===================================================================
--- extensions/stripped/template/identification.tpl	(revision 18639)
+++ extensions/stripped/template/identification.tpl	(revision 18640)
@@ -14,13 +14,5 @@
 	<div id="content_cell">
 		<div class="content_block">
-			{if isset($errors) }
-				<div class="errors">
-					<ul>
-						{foreach from=$errors item=error}
-							<li>{$error}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
+			{include file='infos_errors.tpl'} 
 			<form action="{$F_LOGIN_ACTION}" method="post" name="login_form">
 				<fieldset>
Index: extensions/stripped/template/index.tpl
===================================================================
--- extensions/stripped/template/index.tpl	(revision 18639)
+++ extensions/stripped/template/index.tpl	(revision 18640)
@@ -34,4 +34,5 @@
 	{$MENUBAR}
 	<div id="content_cell">
+		{include file='infos_errors.tpl'} 
 		{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}<div class="subcontent">{$PLUGIN_INDEX_CONTENT_BEFORE}</div>{/if}
 		<div id="subcontent">
Index: extensions/stripped/template/info_erros.tpl
===================================================================
--- extensions/stripped/template/info_erros.tpl	(revision 18640)
+++ extensions/stripped/template/info_erros.tpl	(revision 18640)
@@ -0,0 +1,19 @@
+{if isset($errors) }
+	<div class="errors">
+		<ul>
+			{foreach from=$errors item=error}
+				<li>{$error}</li>
+			{/foreach}
+		</ul>
+	</div>
+{/if}
+	
+{if not empty($infos)}
+	<div class="infos">
+		<ul>
+			{foreach from=$infos item=info}
+				<li>{$info}</li>
+			{/foreach}
+		</ul>
+	</div>
+{/if}
Index: extensions/stripped/template/nbm.tpl
===================================================================
--- extensions/stripped/template/nbm.tpl	(revision 18639)
+++ extensions/stripped/template/nbm.tpl	(revision 18640)
@@ -14,22 +14,5 @@
 	<div id="content_cell">
 		<div class="content_block">
-			{if not empty($errors)}
-				<div class="errors">
-					<ul>
-						{foreach from=$errors item=error}
-							<li>{$error}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
-			{if not empty($infos)}
-				<div class="infos">
-					<ul>
-						{foreach from=$infos item=info}
-							<li>{$info}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
+			{include file='infos_errors.tpl'} 
 		</div>
 	</div>
Index: extensions/stripped/template/password.tpl
===================================================================
--- extensions/stripped/template/password.tpl	(revision 18639)
+++ extensions/stripped/template/password.tpl	(revision 18640)
@@ -14,22 +14,5 @@
 	<div id="content_cell">
 		<div class="content_block">
-			{if count($errors)}
-				<div class="errors">
-					<ul>
-						{foreach from=$errors item=error}
-							<li>{$error}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
-			{if count($infos)}
-				<div class="infos">
-					<ul>
-						{foreach from=$infos item=info}
-							<li>{$info}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
+			{include file='infos_errors.tpl'} 
 			{if $action ne 'none'}
 				<form id="lostPassword" action="{$form_action}?action={$action}{if isset($key)}&amp;key={$key}{/if}" method="post">
Index: extensions/stripped/template/picture.tpl
===================================================================
--- extensions/stripped/template/picture.tpl	(revision 18639)
+++ extensions/stripped/template/picture.tpl	(revision 18640)
@@ -8,22 +8,5 @@
 {/literal}
 
-{if isset($errors)}
-	<div class="errors">
-		<ul>
-			{foreach from=$errors item=error}
-				<li>{$error}</li>
-			{/foreach}
-		</ul>
-	</div>
-{/if}
-{if isset($infos)}
-	<div class="infos">
-		<ul>
-			{foreach from=$infos item=info}
-				<li>{$info}</li>
-			{/foreach}
-		</ul>
-	</div>
-{/if}
+{include file='infos_errors.tpl'} 
 
 <div class="titrePage" id="imageHeaderBar">
Index: extensions/stripped/template/profile.tpl
===================================================================
--- extensions/stripped/template/profile.tpl	(revision 18639)
+++ extensions/stripped/template/profile.tpl	(revision 18640)
@@ -14,13 +14,5 @@
 	<div id="content_cell">
 		<div class="content_block">
-			{if isset($errors)}
-				<div class="errors">
-					<ul>
-						{foreach from=$errors item=error}
-							<li>{$error}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
+			{include file='infos_errors.tpl'} 
 			{$PROFILE_CONTENT}
 		</div>
Index: extensions/stripped/template/register.tpl
===================================================================
--- extensions/stripped/template/register.tpl	(revision 18639)
+++ extensions/stripped/template/register.tpl	(revision 18640)
@@ -14,13 +14,5 @@
 	<div id="content_cell">
 		<div class="content_block">
-			{if isset($errors)}
-				<div class="errors">
-					<ul>
-						{foreach from=$errors item=error}
-							<li>{$error}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
+			{include file='infos_errors.tpl'} 
 			<form method="post" action="{$F_ACTION}" class="properties" name="register_form">
 				<fieldset>
Index: extensions/stripped/template/search.tpl
===================================================================
--- extensions/stripped/template/search.tpl	(revision 18639)
+++ extensions/stripped/template/search.tpl	(revision 18640)
@@ -21,13 +21,5 @@
 	<div id="content_cell">
 		<div class="content_block">
-			{if isset($errors) }
-				<div class="errors">
-					<ul>
-						{foreach from=$errors item=error}
-							<li>{$error}</li>
-						{/foreach}
-					</ul>
-				</div>
-			{/if}
+			{include file='infos_errors.tpl'} 
 			<form class="filter" method="post" name="search" action="{$F_SEARCH_ACTION}">
 				<fieldset>
Index: extensions/stripped/template/tags.tpl
===================================================================
--- extensions/stripped/template/tags.tpl	(revision 18639)
+++ extensions/stripped/template/tags.tpl	(revision 18640)
@@ -9,4 +9,5 @@
 		</h2>
 	</div>
+	{include file='infos_errors.tpl'} 
 	<div class="categoryActionsContainer">
 		<ul class="categoryActions">
Index: extensions/stripped/theme.css
===================================================================
--- extensions/stripped/theme.css	(revision 18639)
+++ extensions/stripped/theme.css	(revision 18640)
@@ -42,6 +42,6 @@
 
 #theHeader,
-.comment blockquote,
-.comment .author,
+.commentElement blockquote,
+.commentElement .author,
 #contenteditid,
 .additional_info,
@@ -1102,4 +1102,5 @@
 #commentList { float: right; }
 
+#editComment textarea,
 #commentAdd input[type="text"], #commentAdd textarea {
 	max-width:95%;